#include <stdio.h>
#include <string.h>

/* Wrapper to avoid the warning of strncpy() */
static char *_strncpy(char *dst, const char *src, int len)
{
  return strncpy(dst, src, len);
}

int main()
{
  char s[16];
  int i;

  for (i = 0; i < sizeof(s); i++)
    s[i] = '0' + i;
  for (i = 0; i < sizeof(s); i++)
    printf("%c\n", s[i] ? s[i] : '.');

  _strncpy(s, "abcdefg", sizeof(s));
  for (i = 0; i < sizeof(s); i++)
    printf("%c\n", s[i] ? s[i] : '.');

  for (i = 0; i < sizeof(s); i++)
    s[i] = '0' + i;

  _strncpy(s, "abcdefghijklmnopqrstuvwxyz", sizeof(s));
  for (i = 0; i < sizeof(s); i++)
    printf("%c\n", s[i] ? s[i] : '.');

  return 0;
}
